Delete a Service
DELETE
/businesses/{businessId}/services/{serviceId}
const url = 'https://api.upvio.com/v1/businesses/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0/services/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0';const options = {method: 'DELETE', headers: {Authorization: 'Bearer <token>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request DELETE \ --url https://api.upvio.com/v1/businesses/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0/services/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0 \ --header 'Authorization: Bearer <token>'Delete a Service
Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”businessId
required
string format: uuid
Business ID
serviceId
required
string format: uuid
Service ID
Responses
Section titled “Responses”Confirmation that the patient has been deleted
The service ID is malformed.
Media typeapplication/json
object
error
object
code
number
type
The specific error that occurred.
string
title
Human-readable description of the error.
string
Example
{ "error": { "code": 400, "type": "BadRequestError", "title": "Invalid platformId format." }}The API key is missing or invalid, or the Business cannot be accessed with it.
Media typeapplication/json
object
error
object
code
number
type
The specific error that occurred.
string
title
Human-readable description of the error.
string
Example
{ "error": { "code": 403, "type": "UnauthorizedError", "title": "Invalid API token" }}The service does not exist.
Media typeapplication/json
object
error
object
code
number
type
The specific error that occurred.
string
title
Human-readable description of the error.
string
Example
{ "error": { "code": 404, "type": "NotFoundError", "title": "Service with ID {serviceId} not found" }}